$Revision: 1.3 $
$Date: 2005/08/24 22:26:18 $

# Parameters

## `db_url` (string)

This is URL of the database to be used.

Default value is "mysql://serro:47serro11@localhost/ser"

### Setting db_url parameter

    modparam("domain", "db_url", "mysql://ser:pass@db_host/ser")

## `db_mode` (integer)

Database mode. 0 means non-caching, 1 means caching.

Default value is 0 (non-caching).

### nonce_expire example

    modparam("domain", "db_mode", 1)   # Use caching

## `domain_table` (string)

Name of table containing names of local domains that the proxy is responsible for. Local users must have in their sip uri a host part that is equal to one of these domains.

Default value is "domain".

### Setting domain_table parameter

    modparam("domain", "domain_table", "new_name")

## `domain_column` (string)

Name of column containing domains in domain table.

Default value is "domain".

### Setting domain_column parameter

    modparam("domain", "domain_column", "domain_col")